---
title: PresentationAvailability
slug: Web/API/PresentationAvailability
tags:
  - API
  - Experimental
  - Interface
  - Presentation API
  - PresentationAvailability
  - Reference
---
<p>{{SeeCompatTable}}{{securecontext_header}}{{APIRef("Presentation API")}}</p>

<p>A <code>PresentationAvailability</code> object is associated with available <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-display">presentation displays</a> and represents the <dfn>presentation display availability</dfn> for a presentation request. If the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> can <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-monitor-the-list-of-available-presentation-displays">monitor the list of available presentation displays</a> in the background (without a pending request to <code>start()</code>), the <code>PresentationAvailability</code> object <em>MUST</em> be implemented in a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-browsing-context">controlling browsing context</a>.</p>

<p>The <dfn><code>value</code></dfn> attribute <em>MUST</em> return the last value it was set to. The value is updated by the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-monitor-the-list-of-available-presentation-displays">monitor the list of available presentation displays</a> algorithm.</p>

<p>The <dfn><code>onchange</code></dfn> attribute is an <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-event-handler">event handler</a> whose corresponding <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-event-handler-event-type">event handler event type</a> is <dfn><code>change</code></dfn>.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("PresentationAvailability.value")}} {{readonlyinline}}</dt>
 <dd>A boolean value indicating whether the given presentation display is available. The <dfn><code>value</code></dfn> attribute <em>MUST</em> return the last value it was set to.</dd>
</dl>

<h3 id="Event_handlers">Event handlers</h3>

<dl>
 <dt>{{domxref("PresentationAvailability.onchange")}}</dt>
 <dd>Indicates that the availability of the presentation display has changed.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#interface-presentationavailability','PresentationAvailability interface')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.PresentationAvailability")}}</p>
